package com.xzzn.ems.service.impl;

import com.xzzn.ems.domain.EmsSiteSetting;
import com.xzzn.ems.domain.vo.BatteryDataStatsListVo;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;
import com.xzzn.ems.mapper.EmsDevicesSettingMapper;
import com.xzzn.ems.mapper.EmsSiteSettingMapper;
import com.xzzn.ems.service.IEmsSiteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 站点信息 服务层实现
 *
 */
@Service
public class EmsSiteServiceImpl implements IEmsSiteService
{

    @Autowired
    private EmsSiteSettingMapper emsSiteMapper;
    @Autowired
    private EmsDevicesSettingMapper emsDevicesMapper;

    @Override
    public List<EmsSiteSetting> getAllSites() {
        return emsSiteMapper.selectEmsSiteSettingList(null);
    }

    @Override
    public SiteTotalInfoVo getSiteTotalInfo() {
        return emsSiteMapper.getSiteTotalInfo();
    }

    /**
     * 根据site_id获取所有电池堆
     * @param siteId
     * @return
     */
    @Override
    public List<Map<String, Object>> getAllStackInfo(Long siteId) {
        return emsDevicesMapper.getAllStackInfoBySiteId(siteId);
    }

    @Override
    public List<Map<String, Object>> getAllClusterInfo(Long stackDeviceId) {
        return emsDevicesMapper.getAllClusterInfoByStackId(stackDeviceId);
    }

    /**
     * 根据电池堆获取单体柱状数据
     * @param clusterDeviceId
     * @return
     */
    @Override
    public BatteryDataStatsListVo getClusterDataInfoList(Long clusterDeviceId) {
        return null;
    }
}
